# Interface SAMRecordFactory

All Known Implementing Classes:
  `DefaultSAMRecordFactory`

public interface SAMRecordFactory
Factory interface which allows plugging in of different classes for generating instances of SAMRecord and BAMRecord when reading from SAM/BAM files.

## Method Summary

Modifier and Type
Method
Description
`BAMRecord`
`createBAMRecord(SAMFileHeader header, int referenceSequenceIndex, int alignmentStart, short readNameLength, short mappingQuality, int indexingBin, int cigarLen, int flags, int readLen, int mateReferenceSequenceIndex, int mateAlignmentStart, int insertSize, byte[] variableLengthBlock)`
Create a new BAM Record.
`SAMRecord`
`createSAMRecord(SAMFileHeader header)`
Create a new SAMRecord to be filled in

## Method Details

### createSAMRecord

SAMRecord createSAMRecord(SAMFileHeader header)
Create a new SAMRecord to be filled in

### createBAMRecord

BAMRecord createBAMRecord(SAMFileHeader header, int referenceSequenceIndex, int alignmentStart, short readNameLength, short mappingQuality, int indexingBin, int cigarLen, int flags, int readLen, int mateReferenceSequenceIndex, int mateAlignmentStart, int insertSize, byte[] variableLengthBlock)
Create a new BAM Record.